<nav class="navbar navbar-expand-lg navbar-light bg-dark border-bottom">
	<h2 class="page-title text-light">Books</h2>
</nav>

<div class="container-fluid">
	<div class="py-3 float-left search">
		<input type="text" class="form-control search-input" [(ngModel)]="idToSearch" placeholder="Search by id">
	</div>
	<div class="py-3 mx-3 float-left search">
		<a (click)="searchById(idToSearch)" class="pl-3 btn btn-primary text-light">Search</a>
	</div>
	<div class="py-3 mr-3 float-left search">
		<a (click)="clearSearch()" class="pl-3 btn btn-danger text-light">Clear</a>
	</div>

	<div>
		<table class="table table-bordered">
			<thead class="thead-dark">
				<tr>
					<th>Id</th>
					<th>Title</th>
					<th>Year</th>
					<th>Language</th>
					<th>Author Id</th>
					<th>Library Id</th>
					<th>Status</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody *ngIf="books">
				<tr *ngFor="let book of books">
					<td>{{ book.id }}</td>
					<td>{{ book.title }}</td>
					<td>{{ book.year }}</td>
					<td>{{ book.language }}</td>
					<td class="speech-bubble" title="{{ book.author }}">{{ book.authorId }}</td>
					<td class="speech-bubble" title="{{ book.library }}">{{ book.libraryId }}</td>
					<td>
						{{ book.status }}
						<a style="cursor: pointer;" (click)="switchBookStatus(book)">
							<clr-icon style="float: right;" shape="switch" size="30"></clr-icon>
						</a>
					</td>
					<td>
						<a style="cursor: pointer;" (click)="editBook(book)">
							<clr-icon shape="note" size="30"></clr-icon>
						</a>
						<a style="cursor: pointer;" (click)="removeBook(book)">
							<clr-icon shape="trash" size="30"></clr-icon>
						</a>
					</td>
				</tr>
			</tbody>
		</table>

		<h4 class="form-group">Add/Edit Book</h4>
		<form class="w-75" (ngSubmit)="submitBook()">
			<div class="form-group row">
				<label for="title" class="col-sm-2 col-form-label">Title</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="title" [(ngModel)]="bookForm.title" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="year" class="col-sm-2 col-form-label">Year</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="year" [(ngModel)]="bookForm.year" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="language" class="col-sm-2 col-form-label">Language</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="language" [(ngModel)]="bookForm.language" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="authorId" class="col-sm-2 col-form-label">Author Id</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="authorId" [(ngModel)]="bookForm.authorId" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="libraryId" class="col-sm-2 col-form-label">Library Id</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="libraryId" [(ngModel)]="bookForm.libraryId" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="status" class="col-sm-2 col-form-label">Status</label>
				<div class="col-sm-10">
					<select class="custom-select mr-sm-2" id="status" [(ngModel)]="bookForm.status" [ngModelOptions]="{standalone: true}">
						<option value="IN_PLACE">In place</option>
						<option value="TAKEN">Taken</option>
					  </select>
				</div>
			</div>
			<button type="submit" class="btn btn-primary">Submit</button>
			<a (click)="clearForm()" class="m-3 btn btn-danger text-light" [ngClass]="{'disabled': disabled}">Cancel edit</a>
		</form>
	</div>
</div>